gtkmm: Gtk::StyleProvider Class Reference

gtkmm 3.4.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions
Gtk::StyleProvider Class Reference

This is a base class used to provide style information to a StyleContext. More...

Inheritance diagram for Gtk::StyleProvider:
[legend]

List of all members.

## Public Member Functions
virtual | ~StyleProvider ()
GtkStyleProvider* | gobj ()
| Provides access to the underlying C GObject.
const GtkStyleProvider* | gobj () const
| Provides access to the underlying C GObject.
## Static Public Member Functions
static void | add_interface (GType gtype_implementer)
## Protected Member Functions
| StyleProvider ()
| You should derive from this class to use it.
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gtk::StyleProvider > | wrap (GtkStyleProvider* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

This is a base class used to provide style information to a StyleContext.

See StyleContext::add_provider() and StyleContext::add_provider_for_screen().

Since gtkmm 3.0:

## Constructor & Destructor Documentation

Gtk::StyleProvider::StyleProvider | ( |  | ) | `[protected]`

You should derive from this class to use it.

virtual Gtk::StyleProvider::~StyleProvider | ( |  | ) | `[virtual]`

## Member Function Documentation

static void Gtk::StyleProvider::add_interface | ( | GType | gtype_implementer | ) | `[static]`

GtkStyleProvider* Gtk::StyleProvider::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::Interface.

Reimplemented in Gtk::CssProvider.

const GtkStyleProvider* Gtk::StyleProvider::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::Interface.

Reimplemented in Gtk::CssProvider.

## Friends And Related Function Documentation

Glib::RefPtr< Gtk::StyleProvider > wrap | ( | GtkStyleProvider * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/styleprovider.h